Bug 94701 - PB : Insert a new legend below element (image, tab etc..)
Summary: PB : Insert a new legend below element (image, tab etc..)
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.5.0.0.alpha0+ Master
Hardware: x86-64 (AMD64) Windows (All)
: medium minor
Assignee: Caolán McNamara
URL:
Whiteboard: target:5.2.0 target:5.1.0.1 target:5.0.5
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2015-10-02 13:35 UTC by duclos.max494
Modified: 2016-10-25 19:11 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
Inserting a legend under a picture (78.85 KB, image/jpeg)
2015-10-02 13:35 UTC, duclos.max494
Details

Note You need to log in before you can comment on or make changes to this bug.
Description duclos.max494 2015-10-02 13:35:37 UTC
Created attachment 119203 [details]
Inserting a legend under a picture

Libre office Writer.
Inserting a caption under a picture. When I want to create a new category of Blanked the former category the first authentic works well but when I want to correct the title of a category seonde time he put impossible to completely remove the first character remains in the field and is impossible to remove.
Comment 1 Buovjaga 2015-10-06 11:32:18 UTC
Reproduced.

1. Insert image.
2. Right click it, insert caption
3. Select the category name and replace it with your own, OK
4. Go back to Insert caption, select your own category and try to delete its name. You can't, you are blocked by the first letter.

No repro in 4.3, so regression.

Win 7 Pro 64-bit, Version: 5.0.2.2 (x64)
Build ID: 37b43f919e4de5eeaca9b9755ed688758a8251fe
Locale: fi-FI (fi_FI)

Version: 5.1.0.0.alpha1+
Build ID: 25de5cfa43b2b1cb7d7214470acc7719839e13fe
TinderBox: Win-x86@62-merge-TDF, Branch:MASTER, Time: 2015-10-01_08:49:54
Locale: en-US (fi_FI)
Comment 2 raal 2015-10-09 06:09:36 UTC
bibisect-win32-5.0, oldest version contains bug too.
git checkout oldest: Version: 4.5.0.0.alpha0+
Build ID: 57d6b92b69a31260dea0d84fcd1fc5866ada7adb
Comment 3 raal 2015-12-02 18:16:50 UTC
This seems to have begun at the below commit.
Adding Cc: to Caolán McNamara ; Could you possibly take a look at this one?
Thanks

e0ff1396bac324dc7f7a9a9f278e3ccedaff3b0b is the first bad commit
commit e0ff1396bac324dc7f7a9a9f278e3ccedaff3b0b
Author: Matthew Francis <mjay.francis@gmail.com>
Date:   Sat Mar 14 21:37:10 2015 +0800

    source-hash-46650cb7c3ed3d48d8fe7b6c6dd6d7357b698afb
    
    commit 46650cb7c3ed3d48d8fe7b6c6dd6d7357b698afb
    Author:     Caolán McNamara <caolanm@redhat.com>
    AuthorDate: Mon Jun 16 15:57:23 2014 +0100
    Commit:     Caolán McNamara <caolanm@redhat.com>
    CommitDate: Mon Jun 16 16:59:09 2014 +0100
    
        Related: fdo#47427 disallow pasting spaces into category box
    
        Change-Id: I4caf4b2ac028629c6ecbd42084346623192df09e
Comment 4 Commit Notification 2015-12-03 09:45:54 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=0261be7f92930952a470bc7f5e1d543b8907b1f0

Resolves: tdf#94701 allow fully deleting illustration category in combobox

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2015-12-03 09:49:59 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-5-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=2365ff9f02370d63aae3d5b04b90b3c1a58d1094&h=libreoffice-5-1

Resolves: tdf#94701 allow fully deleting illustration category in combobox

It will be available in 5.1.0.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2015-12-16 20:31:22 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-5-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=0489922093317cf55a5e12c0e4718d0c8ad7ac1a&h=libreoffice-5-0

Resolves: tdf#94701 allow fully deleting illustration category in combobox

It will be available in 5.0.5.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Robinson Tryon (qubit) 2015-12-17 10:33:36 UTC Comment hidden (obsolete)